get the confirmation of a booking.
only used by direct clients
curl --request GET \
--url https://{apiBaseUrl}/v2/booking/{sessionId}/confirmationconst url = 'https://{apiBaseUrl}/v2/booking/{sessionId}/confirmation';
const options = {method: 'GET'};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://{apiBaseUrl}/v2/booking/{sessionId}/confirmation"
response = requests.get(url)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{apiBaseUrl}/v2/booking/{sessionId}/confirmation",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}using RestSharp;
var options = new RestClientOptions("https://{apiBaseUrl}/v2/booking/{sessionId}/confirmation");
var client = new RestClient(options);
var request = new RestRequest("");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://{apiBaseUrl}/v2/booking/{sessionId}/confirmation")
.asString();{
"internetIncluded": "None",
"breakfastIncluded": "None",
"rooms": [
{
"roomId": 123,
"occupancyId": 123,
"name": "<string>",
"rate": {
"name": "<string>",
"rateId": 123,
"rateQualifier": {
"value": "RoomOnly",
"text": "<string>"
}
},
"occupancies": {
"isDetailed": true,
"personCount": 123,
"adultCount": 123,
"childCount": 123,
"infantCount": 123,
"childrenAges": [
123
]
},
"extras": [
{
"extraId": 123,
"quantity": 123,
"name": "<string>",
"offerId": "<string>",
"price": {
"converted": {
"value": {
"amount": 0
}
},
"original": {
"value": {
"amount": 0
}
}
},
"gratuitousnessType": {
"value": "None",
"text": "<string>"
}
}
],
"pictures": [
{
"templates": [],
"sortOrder": 123
}
],
"price": {
"converted": {
"value": {
"amount": 0
}
},
"original": {
"value": {
"amount": 0
}
}
}
}
],
"hotelExtras": [
{
"extraId": 123,
"quantity": 123,
"name": "<string>",
"offerId": "<string>",
"price": {
"converted": {
"value": {
"amount": 0
}
},
"original": {
"value": {
"amount": 0
}
}
},
"gratuitousnessType": {
"value": "None",
"text": "<string>"
}
}
],
"taxes": {
"includedDetails": [],
"excludedDetails": [],
"onSiteDetails": [],
"included": {
"converted": {
"value": {
"amount": 0
}
},
"original": {
"value": {
"amount": 0
}
}
},
"excluded": {
"converted": {
"value": {
"amount": 0
}
},
"original": {
"value": {
"amount": 0
}
}
},
"onSite": {
"converted": {
"value": {
"amount": 0
}
},
"original": {
"value": {
"amount": 0
}
}
}
},
"cancelConditions": {
"name": [
{
"value": "Default",
"text": "<string>"
}
],
"summary": [
{
"value": "Default",
"text": "<string>"
}
],
"modifyUrl": "<string>"
},
"bookingInformation": {
"customer": {
"bookingDate": "2023-11-07T05:31:56Z",
"email": "<string>",
"fullName": "<string>"
},
"hotel": {
"bookingEngineUrl": "<string>",
"websiteUrl": "<string>"
},
"stay": {
"arrival": "2023-11-07T05:31:56Z",
"departure": "2023-11-07T05:31:56Z"
},
"guests": {
"adultCount": 123,
"childCount": 123,
"infantCount": 123
}
},
"insurance": {
"lastUpdate": "2023-11-07T05:31:56Z",
"name": "<string>",
"contractNumber": "<string>",
"contactUrl": "<string>",
"price": {
"converted": {
"value": {
"amount": 0
}
},
"original": {
"value": {
"amount": 0
}
}
}
},
"discount": {
"name": "<string>",
"price": {
"converted": {
"value": {
"amount": 0
}
},
"original": {
"value": {
"amount": 0
}
}
}
},
"prices": {
"totalPrice": {
"converted": {
"value": {
"amount": 0
}
},
"original": {
"value": {
"amount": 0
}
}
},
"bookingFees": {
"converted": {
"value": {
"amount": 0
}
},
"original": {
"value": {
"amount": 0
}
}
},
"balanceAmount": {
"converted": {
"value": {
"amount": 0
}
},
"original": {
"value": {
"amount": 0
}
}
},
"depositAmount": {
"converted": {
"value": {
"amount": 0
}
},
"original": {
"value": {
"amount": 0
}
}
}
}
}{
"code": "InvalidSessionId",
"message": "<string>"
}{
"code": "InvalidUserAuthentication",
"message": "<string>"
}Booking
Get the confirmation of a booking
Full confirmation details of a completed booking, from stay to payment
GET
/
v2
/
booking
/
{sessionId}
/
confirmation
get the confirmation of a booking.
only used by direct clients
curl --request GET \
--url https://{apiBaseUrl}/v2/booking/{sessionId}/confirmationconst url = 'https://{apiBaseUrl}/v2/booking/{sessionId}/confirmation';
const options = {method: 'GET'};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://{apiBaseUrl}/v2/booking/{sessionId}/confirmation"
response = requests.get(url)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{apiBaseUrl}/v2/booking/{sessionId}/confirmation",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}using RestSharp;
var options = new RestClientOptions("https://{apiBaseUrl}/v2/booking/{sessionId}/confirmation");
var client = new RestClient(options);
var request = new RestRequest("");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://{apiBaseUrl}/v2/booking/{sessionId}/confirmation")
.asString();{
"internetIncluded": "None",
"breakfastIncluded": "None",
"rooms": [
{
"roomId": 123,
"occupancyId": 123,
"name": "<string>",
"rate": {
"name": "<string>",
"rateId": 123,
"rateQualifier": {
"value": "RoomOnly",
"text": "<string>"
}
},
"occupancies": {
"isDetailed": true,
"personCount": 123,
"adultCount": 123,
"childCount": 123,
"infantCount": 123,
"childrenAges": [
123
]
},
"extras": [
{
"extraId": 123,
"quantity": 123,
"name": "<string>",
"offerId": "<string>",
"price": {
"converted": {
"value": {
"amount": 0
}
},
"original": {
"value": {
"amount": 0
}
}
},
"gratuitousnessType": {
"value": "None",
"text": "<string>"
}
}
],
"pictures": [
{
"templates": [],
"sortOrder": 123
}
],
"price": {
"converted": {
"value": {
"amount": 0
}
},
"original": {
"value": {
"amount": 0
}
}
}
}
],
"hotelExtras": [
{
"extraId": 123,
"quantity": 123,
"name": "<string>",
"offerId": "<string>",
"price": {
"converted": {
"value": {
"amount": 0
}
},
"original": {
"value": {
"amount": 0
}
}
},
"gratuitousnessType": {
"value": "None",
"text": "<string>"
}
}
],
"taxes": {
"includedDetails": [],
"excludedDetails": [],
"onSiteDetails": [],
"included": {
"converted": {
"value": {
"amount": 0
}
},
"original": {
"value": {
"amount": 0
}
}
},
"excluded": {
"converted": {
"value": {
"amount": 0
}
},
"original": {
"value": {
"amount": 0
}
}
},
"onSite": {
"converted": {
"value": {
"amount": 0
}
},
"original": {
"value": {
"amount": 0
}
}
}
},
"cancelConditions": {
"name": [
{
"value": "Default",
"text": "<string>"
}
],
"summary": [
{
"value": "Default",
"text": "<string>"
}
],
"modifyUrl": "<string>"
},
"bookingInformation": {
"customer": {
"bookingDate": "2023-11-07T05:31:56Z",
"email": "<string>",
"fullName": "<string>"
},
"hotel": {
"bookingEngineUrl": "<string>",
"websiteUrl": "<string>"
},
"stay": {
"arrival": "2023-11-07T05:31:56Z",
"departure": "2023-11-07T05:31:56Z"
},
"guests": {
"adultCount": 123,
"childCount": 123,
"infantCount": 123
}
},
"insurance": {
"lastUpdate": "2023-11-07T05:31:56Z",
"name": "<string>",
"contractNumber": "<string>",
"contactUrl": "<string>",
"price": {
"converted": {
"value": {
"amount": 0
}
},
"original": {
"value": {
"amount": 0
}
}
}
},
"discount": {
"name": "<string>",
"price": {
"converted": {
"value": {
"amount": 0
}
},
"original": {
"value": {
"amount": 0
}
}
}
},
"prices": {
"totalPrice": {
"converted": {
"value": {
"amount": 0
}
},
"original": {
"value": {
"amount": 0
}
}
},
"bookingFees": {
"converted": {
"value": {
"amount": 0
}
},
"original": {
"value": {
"amount": 0
}
}
},
"balanceAmount": {
"converted": {
"value": {
"amount": 0
}
},
"original": {
"value": {
"amount": 0
}
}
},
"depositAmount": {
"converted": {
"value": {
"amount": 0
}
},
"original": {
"value": {
"amount": 0
}
}
}
}
}{
"code": "InvalidSessionId",
"message": "<string>"
}{
"code": "InvalidUserAuthentication",
"message": "<string>"
}Path Parameters
Response
OK
Availability of a service (rate qualifier, amenity, etc.) in a search result.
- None — Status is not declared.
- Included — Service is included in the rate at no extra charge.
- WithCharge — Service is available but comes with an additional charge.
- NotAvailable — Service is not available.
Available options:
None, Included, WithCharge, NotAvailable Availability of a service (rate qualifier, amenity, etc.) in a search result.
- None — Status is not declared.
- Included — Service is included in the rate at no extra charge.
- WithCharge — Service is available but comes with an additional charge.
- NotAvailable — Service is not available.
Available options:
None, Included, WithCharge, NotAvailable Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?